/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#ifndef MIRAI_UTILS_H
#define MIRAI_UTILS_H

#include <algorithm>
#include <cctype>
#include <cpp-utils/string.h>
#include <cpp-utils/vector.h>
#include <locale>
#include <regex>

namespace mirai
{
namespace stringUtils = cpputils::string;
namespace vectorUtils = cpputils::vector;

bool isDate(const std::string &dateStr);
} // namespace mirai

#endif
